import { vi, describe, expect, it, beforeAll, afterEach } from 'vitest';
import { createWrapper, axios } from 'app/test/vitest/helper';
import AgencyWorkCenter from 'pages/Agency/Card/AgencyWorkcenter.vue';

describe('AgencyWorkCenter', () => {
    let vm;
    beforeAll(() => {
        vm = createWrapper(AgencyWorkCenter, {
            global: {
                claim: {
                    id: 1,
                },
            },
        }).vm;
    });

    afterEach(() => {
        vi.clearAllMocks();
    });

    describe('remove()', () => {
        it('should delete the AgencyMode', async () => {
            vi.spyOn(axios, 'delete').mockResolvedValue({ data: true });
            vi.spyOn(vm.quasar, 'notify');

            await vm.deleteWorCenter(1);

            expect(vm.quasar.notify).toHaveBeenCalledWith(
                expect.objectContaining({ type: 'positive' })
            );
        });
    });
});
